/*
Пример использования
Получение информации о логическом порте по его id
*/

#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/
provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}


data "decort_sdn_logical_port" "test" {
  #идентификатор логического порта
  #обязательный параметр
  #тип - строка
  logical_port_id = "a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8"
}

output "test" {
  value = data.decort_sdn_logical_port.test
}